#693 closed defect (fixed)

mc146818a_ioreg.c is non-portable

Reported by: Ralf Corsepius Owned by: Joel Sherrill
Priority: highest Milestone: 2
Component: unspecified Version: 4.6
Severity: critical Keywords:
Cc: bugs@… Blocked By:
Blocking:

Description

The new mc146818a_ioreg.c is non-portable:

if avr-rtems4.7-gcc --pipe -B../../../lib/ -B../../../bare-avr5/lib/ -specs bsp_specs -qrtems -DPACKAGE_NAME=\"rtems-c-src\" -DPACKAGE_TARNAME=\"rtems-c-src\" -DPACKAGE_VERSION=\"4.6.99.1\" -DPACKAGE_STRING=\"rtems-c-src\ 4.6.99.1\" -DPACKAGE_BUGREPORT=\"rtems-bugs@…\" -I. -I../../../../../../rtems.work/c/src/libchip -isystem ../../../bare-avr5/lib/include -O4 -fomit-frame-pointer -mmcu=avr5 -O4 -fomit-frame-pointer -g -Wall -MT rtc/librtcio_a-mc146818a_ioreg.o -MD -MP -MF "rtc/.deps/librtcio_a-mc146818a_ioreg.Tpo" -c -o rtc/librtcio_a-mc146818a_ioreg.o test -f 'rtc/mc146818a_ioreg.c' || echo '../../../../../../rtems.work/c/src/libchip/'rtc/mc146818a_ioreg.c; \
then mv -f "rtc/.deps/librtcio_a-mc146818a_ioreg.Tpo" "rtc/.deps/librtcio_a-mc146818a_ioreg.Po"; else rm -f "rtc/.deps/librtcio_a-mc146818a_ioreg.Tpo"; exit 1; fi
../../../../../../rtems.work/c/src/libchip/rtc/mc146818a_ioreg.c: In function `mc146818a_get_register':
../../../../../../rtems.work/c/src/libchip/rtc/mc146818a_ioreg.c:30: warning: implicit declaration of function `outport_byte'
../../../../../../rtems.work/c/src/libchip/rtc/mc146818a_ioreg.c:31: warning: implicit declaration of function `inport_byte'
../../../../../../rtems.work/c/src/libchip/rtc/mc146818a_ioreg.c:27: warning: 'val' might be used uninitialized in this function
../../../../../../rtems.work/c/src/libchip/rtc/mc146818a_ioreg.c:28: warning: 'tmp' might be used uninitialized in this function
rm -f librtcio.a

This code is based on code which is not part of the RTEMS API.

Release:
rtems >= 4.6.2

Change History (3)

comment:1 Changed on Sep 1, 2005 at 12:45:25 PM by Joel Sherrill

Status: assignedwaiting

comment:2 Changed on Mar 7, 2006 at 9:14:22 PM by Joel Sherrill

Status: waitingclosed

State-Changed-From-To: feedback->closed
State-Changed-Why: A patch was committed months ago to the head and 4.6 branch
with no further comment.

comment:3 Changed on Oct 10, 2017 at 6:35:44 AM by Sebastian Huber

Component: miscunspecified
Note: See TracTickets for help on using tickets.